package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag935;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT935AbsCreator;

import java.util.List;

/**
 * @author gechengyang
 * @date 2023/2/18
 */
public class Tag37HCreator extends AbsTagCreate {

     private MT935AbsCreator mt935AbsCreator;

    public Tag37HCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt935AbsCreator= (MT935AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        List<String> tag37HValue = mt935AbsCreator.getNewInterestRate();
        mt935AbsCreator.set("37H", tag37HValue);
    }
}
